import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class OtherColumn extends StatelessWidget {
  const OtherColumn({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return  Container(
        alignment: Alignment.center,
        width: 345.w,
        margin: EdgeInsets.fromLTRB(0, 15.w, 0, 15.w),
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(30),
          color: Colors.white,
          boxShadow: [
            BoxShadow(
              blurRadius: 10, //阴影范围
              spreadRadius: 0.1, //阴影浓度
              color: Colors.grey.withOpacity(0.2), //阴影颜色
            ),
          ],
        ),
        child: Column(
          children: [
            Container(
                margin: EdgeInsets.fromLTRB(0, 30.w, 0, 20.w),
                alignment: Alignment.topLeft,
                decoration: const BoxDecoration(
                    border: Border(
                        left: BorderSide(width: 5, color: Color(0xff000000)
                            // 0x17000000
                            ))),
                child: Padding(
                  padding: EdgeInsets.fromLTRB(12.w, 0, 0, 0),
                  child: Text(
                    '设置',
                    style: TextStyle(
                      color: Color(0xff333333),
                      fontWeight: FontWeight.bold,
                      fontSize: 17.sp,
                    ),
                  ),
                )),
            Container(
              child: Column(
                children: [
                  Container(
                    height: 45.w,
                    width: 310.w,
                    margin: EdgeInsets.fromLTRB(0, 10.w, 0, 0),

                    decoration: const BoxDecoration(
                        border:Border(
                            bottom:
                            BorderSide(width: 0.5, color: Color(0x20000000)
                              // 0x17000000
                            ))
                    ),

                    child: ListTile(
                      contentPadding: EdgeInsets.symmetric(horizontal: 0.0),
                      // 这边使用了contentPadding
                      leading: Image(
                        image: AssetImage('images/aboutUs.png'),
                        width: 18.w,
                        height: 21.w,
                      ),
                      title: Transform(
                        transform: Matrix4.translationValues(-20, 0.0, 0.0),
                        child: Text("版本更新",
                            style: TextStyle(
                                fontSize: 17.sp, color: Color(0xff333333))),
                      ),
                      trailing: Image(
                        image: AssetImage('images/userRight.png'),
                        width: 10.w,
                        height: 18.w,
                      ),
                    ),
                  ),
                  Container(
                    margin: EdgeInsets.fromLTRB(0, 10.w, 0, 0),
                    width: 310.w,
                    height: 45.w,
                    decoration: const BoxDecoration(
                        border:Border(
                            bottom:
                            BorderSide(width: 0.5, color: Color(0x20000000)
                              // 0x17000000
                            ))
                    ),

                    child: ListTile(
                      contentPadding: EdgeInsets.symmetric(horizontal: 0.0),

                      leading: Image(
                        image: AssetImage('images/versionUpdate.png'),
                        width: 18.w,
                        height: 21.w,
                      ),
                      title: Transform(
                        transform: Matrix4.translationValues(-20, 0.0, 0.0),
                        child: Text("用户协议及隐私政策",
                            style: TextStyle(
                                fontSize: 17.sp, color: Color(0xff333333))),
                      ),
                      trailing: Image(
                        image: AssetImage('images/userRight.png'),
                        width: 10.w,
                        height: 18.w,
                      ),
                    ),
                  ),
                  Container(
                    margin: EdgeInsets.fromLTRB(0, 10.w, 0, 20.w),
                    width: 310.w,
                    height: 45.w,
                    decoration: const BoxDecoration(
                        border:Border(
                            bottom:
                            BorderSide(width: 0.5, color: Color(0x20000000)
                              // 0x17000000
                            ))
                    ),

                    child: ListTile(
                      contentPadding: EdgeInsets.symmetric(horizontal: 0.0),

                      leading: Image(
                        image: AssetImage('images/feedbacks.png'),
                        width: 18.w,
                        height: 21.w,
                      ),
                      title: Transform(
                        transform: Matrix4.translationValues(-20, 0.0, 0.0),
                        child: Text("意见反馈",
                            style: TextStyle(
                                fontSize: 17.sp, color: Color(0xff333333))),
                      ),
                      trailing: Image(
                        image: AssetImage('images/userRight.png'),
                        width: 10.w,
                        height: 18.w,
                      ),
                    ),
                  ),

                ],
              ),
            )
          ],
        ));
  }
}
